Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.stringtemplate
Class ControllerContextAwareStringTemplateGenerator

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.stringtemplate.StringTemplateGenerator
                      org.apache.cocoon.stringtemplate.ControllerContextAwareStringTemplateGenerator

All Implemented Interfaces:
  CachingPipelineComponent, PipelineComponent, Producer, Starter, SAXPipelineComponent, SAXProducer

    public class ControllerContextAwareStringTemplateGenerator

extends StringTemplateGenerator

Field Summary

Fields inherited from class org.apache.cocoon.stringtemplate.StringTemplateGenerator
`parameters`

Constructor Summary
`ControllerContextAwareStringTemplateGenerator()`

Method Summary
`protected void` | `addTemplateAttributes(org.antlr.stringtemplate.StringTemplate stringTemplate)` Add attributes to the StringTemplate.
`void` | `setConfiguration(Map<String,? extends Object> parameters)` Pass component specific configuration parameters to the pipeline component in a generic way.

Methods inherited from class org.apache.cocoon.stringtemplate.StringTemplateGenerator
`constructCacheKey, execute, setSource, setup`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer, setSAXConsumer, toString`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Constructor Detail

### ControllerContextAwareStringTemplateGenerator

    public ControllerContextAwareStringTemplateGenerator()

Method Detail

### addTemplateAttributes

    protected void addTemplateAttributes(org.antlr.stringtemplate.StringTemplate stringTemplate)

  Description copied from class: `StringTemplateGenerator`
  Add attributes to the StringTemplate. Be careful to keep the constructCacheKey() method align.

  Overrides:
    `addTemplateAttributes` in class `StringTemplateGenerator`
  Parameters:
    `stringTemplate` - The template where the attributes are added to.

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> parameters)

  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `AbstractPipelineComponent`
  Parameters:
    `parameters` - The `Map` of configuration parameters.
  See Also:
    `org.apache.cocoon.pipeline.component.AbstractSAXProducer#setConfiguration(java.util.Map)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.